import { Type } from "@sinclair/typebox";
import { FirRouteInput, FirRouteOptions } from "../util/routewrap.js";

const method = "POST";
const url = "/api/webhook-gh";

const payloadT = Type.Any();

const handler = ({payload}: FirRouteInput<typeof payloadT>) => {
	console.log(payload);
	return {};
};

export default {
	method,
	url,
	payloadT,
	handler,
} as const satisfies FirRouteOptions<typeof payloadT>;